com.hazelcast.core

## Enum ClientType

- java.lang.Object
- - java.lang.Enum<ClientType>
  - - com.hazelcast.core.ClientType

- All Implemented Interfaces:
    Serializable, Comparable<ClientType>

      public enum ClientType
      extends Enum<ClientType>

  Type of a Hazelcast client.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CPP` Hazelcast C++ client.
    `CSHARP` Hazelcast .NET client.
    `GO` Hazelcast Go client.
    `JAVA` Hazelcast Java client.
    `NODEJS` Hazelcast NodeJS client.
    `OTHER` Other Hazelcast client.
    `PYTHON` Hazelcast Python client.
    `RUBY` Hazelcast Ruby client.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClientType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA

          public static final ClientType JAVA

      Hazelcast Java client.

    - #### CSHARP

          public static final ClientType CSHARP

      Hazelcast .NET client.

    - #### CPP

          public static final ClientType CPP

      Hazelcast C++ client.

    - #### PYTHON

          public static final ClientType PYTHON

      Hazelcast Python client.

    - #### RUBY

          public static final ClientType RUBY

      Hazelcast Ruby client.

    - #### NODEJS

          public static final ClientType NODEJS

      Hazelcast NodeJS client.

    - #### GO

          public static final ClientType GO

      Hazelcast Go client.

    - #### OTHER

          public static final ClientType OTHER

      Other Hazelcast client.

  - ### Method Detail

    - #### values

          public static ClientType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientType c : ClientType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.